Intrusion Prevention

Belkin.N150.webproc.CGI.Module.getpage.Parameter.Path.Traversal

Description

This indicates an attack attempt to exploit an Path Traversal vulnerability in Belkin N150 F9K1009 v1 router.
The vulnerability is caused by an input validation error in the webproc cgi module while processing an HTTP request. Remote attackers may be able to exploit this to read arbitrary files via a crafted request.

Affected Products

Belkin N150 F9K1009 v1 router with firmware before 1.00.08

Impact

Information Disclosure: Remote attackers can gain sensitive information from vulnerable systems

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
http://www.belkin.com/us/support-article?articleNum=109400

CVE References

CVE-2014-2962

Other References

40735